#!/usr/bin/env python

import argparse

def remove_comments(line, sep):
    import re
    r = re.compile('(?:"[^"]*"|[^\'"%s])*(%s)' % (sep, sep))
    m = r.match(line)
    if m is not None:
        return line[:m.start(1)]
    else:
        return line

parser = argparse.ArgumentParser(description = 'Generate labels for derived type')
parser.add_argument('-i', metavar = 'input_file', type = argparse.FileType('rt'), required = True)
parser.add_argument('-o', metavar = 'output_file', type = argparse.FileType('wt'), required = True)
parser.add_argument('-type', metavar = 'type_name', type = str, required = True)

try:
    args = parser.parse_args()
except IOError, msg:
    parser.error(str(msg))

# these should be passed as arguments
src_type = args.type
src_optional = [False, True]

anylogical = False
parsing = False
ixtype = -1
nsrc = len(src_type)
myType = []

with args.i as ins:
    for line in ins:
        thisline = line.rstrip('\n')
        thisline = remove_comments(thisline, '!')
        thisline = thisline.replace('::', ' :: ')
        thisline = thisline.strip()
        thisline = " ".join(thisline.split())
        thislinelc = thisline.lower()

        if len(thisline) > 0:
            if thislinelc.startswith('end type'):
                parsing = False
            if thislinelc.startswith('contains'):
                parsing = False
            if thislinelc.startswith('procedure'):
                parsing = False
            if parsing:
                if '::' in thisline:
                    myType.append(thisline)
            if thislinelc.startswith('type '+src_type):
                parsing = True
            if thislinelc.startswith('type :: '+src_type):
                parsing = True

fortran_name = []
fortran_dim = []
fortran_ndim = []

for line in myType:
    line = line.rstrip('\n')
    line = line.split('=')
    line = line[0].strip()

    l1 = line.split("::")
    l2 = l1[1].split("(")
    this_name = l2[0].strip()
    if len(l2) > 1:
        this_dim = l2[1].strip(")")
        this_dim = ''.join(this_dim.split())
    else:
        this_dim = '1'

    this_alldim = this_dim.split(",")
    len_alldim = len(this_alldim)

    fortran_name.append(this_name)
    fortran_dim.append(this_dim)
    fortran_ndim.append(len_alldim)

srcfile = ['ixAll = 0']

for ixItem, item in enumerate(fortran_dim):
    srcloop = []
    ixarg = ''
    strarg = ''
    l1 = item.split(",")
    idx = 0
    for xd in l1:
        idx = idx + 1
        if(':' in xd):
            xds = xd.split(":")
            srcloop.insert(0, "do iX%s = %s, %s" % (idx, xds[0], xds[1]))
        else:
            srcloop.insert(0, "do iX%s = 1, %s" % (idx, xd))

        ixarg = ixarg + ("iX%s," % idx)
        if (idx < fortran_ndim[ixItem]):
            strarg = strarg + (" // intToStr(iX%s) // ','" % idx)
        else:
            strarg = strarg + (" // intToStr(iX%s)" % idx)

    #srcloop.append("label(%s) = '%s('%s // ')'" % (ixarg[:-1], fortran_name[ixItem], strarg))
    srcloop.append("ixAll = ixAll + 1")
    srcloop.append("label(ixAll) = '%s('%s // ')'" % (fortran_name[ixItem], strarg))

    for idxx in range(idx):
        srcloop.append("end do")

    srcfile.extend(srcloop)

for item in srcfile:
    args.o.write("%s\n" % item)
