% figures_estimation.m: this creates all the figures and tables for the estimation stage

addpath('utility')

ftag = '600';

fpath = ['../output/post/', ftag, '/'];
vpath = ['../output/estimation/', ftag, '/variance/'];

figurepath = ['./figures/', ftag, '/'];
tablepath = ['./tables/', ftag, '/'];

if (~exist(['./figures/', ftag], 'dir'))
    mkdir('./figures/', ftag);
end
if (~exist(['./tables/', ftag], 'dir'))
    mkdir('./tables/', ftag);
end

% Table 1: Empirical and predicted marital sorting patterns (calls tableMatch)
tableMarriagePattern(fpath, tablepath, 0);

% Table 2: Pareto weight distribution (calls tableMatchWeights)
tableWeightsPattern(fpath, tablepath, 0);

% Table 3: Simulated elasticities
tableElasticity(fpath, tablepath, 0);

% No table: Marriage market elasticity
marriageElasticity(fpath, tablepath, 0);

% Table 7 (Appendix): Parameter estimates
tableParametersSens(vpath, tablepath, 0);

% Figure 1: Empirical and predicted frequencies of work and home 
figureTimeAllocation2(fpath, figurepath, 0);

% Figure 2: Empirical and predicted marriage matching function
figureMarketMarriage(fpath, figurepath, 0);

% Figure 3: Empirical and predicted unconditional hours by market
figureMarketLabourSupply(fpath, figurepath, 0);

% Figure 4: Expected utility possibility frontier
figureUpf(fpath, figurepath, 0);

