function tax = calcTaxCoef(tax)

% preallocate storage
P = zeros(3, 1);
Q = zeros(3, 1);
R = zeros(3, 1);
c = zeros(3, 1);

% couples, 3d surface
if (tax.taxins == tax.JOINT || tax.taxins == tax.JOINTGBT || tax.taxins == tax.JOINTGBTALL)
    for iX2 = 1:tax.NTAXBR - 1;
        for iX1 = 1:tax.NTAXBR - 1;

            % lower triangle
            P(1) = tax.TAXBR(iX1);
            P(2) = tax.TAXBR(iX2);
            P(3) = tax.tCou(iX1, iX2);
            Q(1) = tax.TAXBR(iX1);
            Q(2) = tax.TAXBR(iX2 + 1);
            Q(3) = tax.tCou(iX1, iX2 + 1);
            R(1) = tax.TAXBR(iX1 + 1);
            R(2) = tax.TAXBR(iX2);
            R(3) = tax.tCou(iX1 + 1, iX2);

            u = Q - P;
            v = R - P;

            c(1) = u(2) * v(3) - u(3) * v(2);
            c(2) = u(3) * v(1) - u(1) * v(3);
            c(3) = u(1) * v(2) - u(2) * v(1);

            tax.tCouL(1, iX1, iX2) = P(3) + (c(1) * P(1) + c(2) * P(2)) / c(3);
            tax.tCouL(2, iX1, iX2) = -c(1) / c(3);
            tax.tCouL(3, iX1, iX2) = -c(2) / c(3);

            % upper triangle
            P(1) = tax.TAXBR(iX1 + 1);
            P(2) = tax.TAXBR(iX2);
            P(3) = tax.tCou(iX1 + 1, iX2);
            Q(1) = tax.TAXBR(iX1 + 1);
            Q(2) = tax.TAXBR(iX2 + 1);
            Q(3) = tax.tCou(iX1 + 1, iX2 + 1);
            R(1) = tax.TAXBR(iX1);
            R(2) = tax.TAXBR(iX2 + 1);
            R(3) = tax.tCou(iX1, iX2 + 1);

            u = Q - P;
            v = R - P;

            c(1) = u(2) * v(3) - u(3) * v(2);
            c(2) = u(3) * v(1) - u(1) * v(3);
            c(3) = u(1) * v(2) - u(2) * v(1);

            tax.tCouU(1, iX1, iX2) = P(3) + (c(1) * P(1) + c(2) * P(2)) / c(3);
            tax.tCouU(2, iX1, iX2) = -c(1) / c(3);
            tax.tCouU(3, iX1, iX2) = -c(2) / c(3);

        end
    end

else

    for iX1 = 1:tax.NTAXBR - 1
        tax.tCouL(1, iX1, 1) = tax.tCou(iX1, 1) - tax.TAXBR(iX1) * ( tax.tCou(iX1 + 1, 1) - tax.tCou(iX1, 1) ) / tax.TAXDBR(iX1);
        tax.tCouL(2, iX1, 1) = ( tax.tCou(iX1 + 1, 1) - tax.tCou(iX1, 1) ) / tax.TAXDBR(iX1);
    end

    if (tax.taxins == tax.INDEPENDENT3)
        sc = 0.5 * tax.tCouL(1, 1, 1);
        for iX1 = 1:tax.NTAXBR - 1
            tax.CouL(1, iX1, 1) = tax.tCouL(1, iX1, 1) - sc;
        end
    end

end

% singles
for ixGender = 1:2
    for iX1 = 1:tax.NTAXBR - 1
        tax.tSinL(1, iX1, ixGender) = tax.tSin(iX1, ixGender) - tax.TAXBR(iX1) * ( tax.tSin(iX1 + 1, ixGender) - tax.tSin(iX1, ixGender) ) / tax.TAXDBR(iX1);
        tax.tSinL(2, iX1, ixGender) = ( tax.tSin(iX1 + 1, ixGender) - tax.tSin(iX1, ixGender) ) / tax.TAXDBR(iX1);
    end
end

end
