function [hfig, ax1] = couplesTaxConditionalCompare(tax1, tax2, settings)

xtickh = tax1.xtickh2d;
ytickh = tax1.ytickh2d;

NZ = 3;

cc = linspecer(NZ + 1);
cc = cc(2:4, :);

bgedge = [0.7 0.7 0.7];
gridstyle = '--';
gridstylen = '-';

mtrylim = [tax1.ytickh2d(1) tax1.ytickh2d(end)];

C = cell(NZ, 1);

hfig = figure('Visible', settings.visible);
hold all

for iX = 2:length(xtickh) - 1
    line( [xtickh(iX), xtickh(iX)], [ytickh(1) + eps, ytickh(end)], ...
        'Color', bgedge, 'LineWidth', 0.5, 'LineStyle', gridstyle )
end
line( [xtickh(end), xtickh(end)], [ytickh(1) + eps, ytickh(end)], ...
    'Color', bgedge, 'LineWidth', 0.5, 'LineStyle', gridstylen )


for iY = 2:length(ytickh) - 1
    line( [xtickh(1) + eps, xtickh(end)], [ytickh(iY), ytickh(iY)], ...
        'Color', bgedge, 'LineWidth', 0.5, 'LineStyle', gridstyle )
end
line( [xtickh(1) + eps, xtickh(end)], [ytickh(end), ytickh(end)], ...
    'Color', bgedge, 'LineWidth', 0.5, 'LineStyle', gridstylen )

% spouse earnings
mtr1 = zeros(tax1.NTAXBR - 1, tax1.NTAXBR);
mtr2 = zeros(tax2.NTAXBR - 1, tax2.NTAXBR);

for iZ = 1:tax1.NTAXBR

    % brackets
    for ixBr = 1:tax1.NTAXBR - 1
        y0 = evalTaxCouScalar( tax1, tax1.TAXBR(ixBr), tax1.TAXBR(iZ) );
        y1 = evalTaxCouScalar( tax1, 0.5 * (tax1.TAXBR(ixBr + 1) + tax1.TAXBR(ixBr)), tax1.TAXBR(iZ) );
        thisMtr = (y1 - y0) / ( 0.5 * (tax1.TAXBR(ixBr + 1) - tax1.TAXBR(ixBr)) );
        if ( tax1.TAXBRS(ixBr) > xtickh(end) - 1 )
            mtr1(ixBr, iZ) = mtr1(ixBr - 1, iZ);
        else
            mtr1(ixBr, iZ) = thisMtr;
        end
    end

end

for iZ = 1:tax2.NTAXBR

    % brackets
    for ixBr = 1:tax2.NTAXBR - 1
        y0 = evalTaxCouScalar( tax2, tax2.TAXBR(ixBr), tax2.TAXBR(iZ) );
        y1 = evalTaxCouScalar( tax2, 0.5 * (tax2.TAXBR(ixBr + 1) + tax2.TAXBR(ixBr)), tax2.TAXBR(iZ) );
        thisMtr = (y1 - y0) / ( 0.5 * (tax2.TAXBR(ixBr + 1) - tax2.TAXBR(ixBr)) );
        if ( tax2.TAXBRS(ixBr) > xtickh(end) - 1 )
            mtr2(ixBr, iZ) = mtr2(ixBr - 1, iZ);
        else
            mtr2(ixBr, iZ) = thisMtr;
        end
    end

end

if (tax1.NTAXBR == 10)
    mtrAvg1(:,1) = ( mtr1(:, 1) + mtr1(:, 2) + mtr1(:, 3) ) / 3;
    mtrAvg1(:,2) = ( mtr1(:, 4) + mtr1(:, 5) + mtr1(:, 6) ) / 3;
    mtrAvg1(:,3) = ( mtr1(:, 7) + mtr1(:, 8) + mtr1(:, 9) ) / 3;
elseif (tax1.NTAXBR == 18)
    mtrAvg1(:,1) = ( mtr1(:, 1)  + mtr1(:, 2)  + mtr1(:, 3)  + mtr1(:, 4)  + mtr1(:, 5) ) / 5;
    mtrAvg1(:,2) = ( mtr1(:, 6)  + mtr1(:, 7)  + mtr1(:, 8)  + mtr1(:, 9)  + mtr1(:, 10) + mtr1(:, 11) ) / 6;
    mtrAvg1(:,3) = ( mtr1(:, 12) + mtr1(:, 13) + mtr1(:, 14) + mtr1(:, 15) + mtr1(:, 16) + mtr1(:, 17) ) / 6;
else
    % ...
end

if (tax2.NTAXBR == 10)
    mtrAvg2(:, 1) = ( mtr2(:, 1) + mtr2(:, 2) + mtr2(:, 3) ) / 3;
    mtrAvg2(:, 2) = ( mtr2(:, 4) + mtr2(:, 5) + mtr2(:, 6) ) / 3;
    mtrAvg2(:, 3) = ( mtr2(:, 7) + mtr2(:, 8) + mtr2(:, 9) ) / 3;
elseif (tax2.NTAXBR == 18)
    mtrAvg2(:, 1) = ( mtr2(:, 1)  + mtr2(:, 2)  + mtr2(:, 3)  + mtr2(:, 4)  + mtr2(:, 5) ) / 5;
    mtrAvg2(:, 2) = ( mtr2(:, 6)  + mtr2(:, 7)  + mtr2(:, 8)  + mtr2(:, 9)  + mtr2(:, 10) + mtr2(:, 11) ) / 6;
    mtrAvg2(:, 3) = ( mtr2(:, 12) + mtr2(:, 13) + mtr2(:, 14) + mtr2(:, 15) + mtr2(:, 16) + mtr2(:, 17) ) / 6;
else
    % ...
end

xx = [tax1.TAXBRS(1) repelem(tax1.TAXBRS(2:tax1.NTAXBR - 1), 1, 2) tax1.TAXBRS(end)];
p = zeros(2 * NZ, 1);

for ixZ = 1:NZ
    p(ixZ) = plot(xx, repelem(mtrAvg1(:, ixZ), 2, 1), 'LineWidth', 1, 'color', cc(ixZ, :), 'LineStyle', '-');
    p(ixZ + NZ) = plot(xx, repelem(mtrAvg2(:, ixZ), 2, 1), 'LineWidth', 1, 'color', cc(ixZ, :), 'LineStyle', '--');
end

C{1} = 'Low spousal earnings';
C{2} = 'Med spousal earnings';
C{3} = 'High spousal earnings';

ylim(mtrylim)
xlim([0, xtickh(end)]);
xlabel('$z$')

leg = legendflex(p, C, 'box', 'off', 'Anchor', [5 5], 'Buffer', [-10  10]);
set(gca, 'XTick', xtickh)
set(gca, 'YTick', ytickh)
set(gca, 'Layer', 'Top')
formatTicks(gca, 'y');
ax1 = gca;

hold off

end
