function y = evalTaxCouScalar(tax, earn1, earn2)

switch tax.taxins
    case {tax.JOINT, tax.JOINTGBT, tax.JOINTGBTALL}
        if (earn1 <= tax.TAXBR(1) && earn2 <= tax.TAXBR(1))
            y = tax.tCouL(1, 1, 1);
        else
            if (earn1 >= tax.TAXBR(tax.NTAXBR) && earn2 >= tax.TAXBR(tax.NTAXBR))
                y = tax.tCouU(1, tax.NTAXBR - 1, tax.NTAXBR - 1) + tax.tCouU(2, tax.NTAXBR - 1, tax.NTAXBR - 1) * earn1 ...
                    + tax.tCouU(3, tax.NTAXBR - 1, tax.NTAXBR - 1) * earn2;
            else
                for iX2 = 1:tax.NTAXBR-1
                    if ( earn2 >= tax.TAXBR(iX2) && ( earn2 < tax.TAXBR(iX2 + 1) || (iX2 == tax.NTAXBR - 1 && earn2 >= tax.TAXBR(tax.NTAXBR)) ) )
                        for iX1 = 1:tax.NTAXBR - 1
                            if ( earn1 >= tax.TAXBR(iX1) && ( earn1 < tax.TAXBR(iX1 + 1) || (iX1 == tax.NTAXBR - 1 && earn1 >= tax.TAXBR(tax.NTAXBR) ) ) )
                                if ( earn1 - tax.TAXBR(iX1) + (earn2 - tax.TAXBR(iX2)) * tax.TAXDBR(iX1) / tax.TAXDBR(iX2) >= (tax.TAXDBR(iX1)) )
                                    y = tax.tCouU(1, iX1, iX2) + tax.tCouU(2, iX1, iX2)*earn1 + tax.tCouU(3, iX1, iX2) * earn2;
                                else
                                    y = tax.tCouL(1, iX1, iX2) + tax.tCouL(2, iX1, iX2)*earn1 + tax.tCouL(3, iX1, iX2) * earn2;
                                end
                                break
                            end
                        end
                        break
                    end
                end
            end
        end

    case tax.INDEPENDENT

        if (earn1 <= tax.TAXBR(1))
            y1 = tax.tCouL(1, 1, 1);
        elseif (earn1 >= tax.TAXBR(tax.NTAXBR))
            y1 = tax.tCouL(1, tax.NTAXBR - 1, 1) + tax.tCouL(2, tax.NTAXBR - 1, 1) * earn1;
        else
            for iX = 1:tax.NTAXBR - 1
                if (earn1 >= tax.TAXBR(iX) && earn1 < tax.TAXBR(iX + 1))
                    y1 = tax.tCouL(1, iX, 1) + tax.tCouL(2, iX, 1) * earn1;
                end
            end
        end

        if (earn2 <= tax.TAXBR(1))
            y2 = tax.tCouL(1, 1, 1);
        elseif (earn2>=tax.TAXBR(tax.NTAXBR))
            y2 = tax.tCouL(1, tax.NTAXBR - 1, 1) + tax.tCouL(2, tax.NTAXBR - 1, 1) * earn2;
        else
            for iX = 1:tax.NTAXBR - 1
                if (earn2 >= tax.TAXBR(iX) && earn2 < tax.TAXBR(iX + 1))
                    y2 = tax.tCouL(1, iX, 1) + tax.tCouL(2, iX, 1) * earn2;
                end
            end
        end

        y = y1 + y2;

    case tax.INDEPENDENT3

        earn = 0.5 * (earn1 + earn2);

        if (earn <= tax.TAXBR(1))
            y1 = tax.tCouL(1, 1, 1);
        elseif (earn >= tax.TAXBR(tax.NTAXBR))
            y1 = tax.tCouL(1, tax.NTAXBR - 1, 1) + tax.tCouL(2, tax.NTAXBR - 1, 1) * earn;
        else
            for iX = 1:tax.NTAXBR - 1
                if (earn >= tax.TAXBR(iX) && earn < tax.TAXBR(iX + 1))
                    y1 = tax.tCouL(1, iX, 1) + tax.tCouL(2, iX, 1) * earn;
                end
            end
        end

        y2 = y1;
        y = y1 + y2;

    case tax.FULLJOINT2

        earn = earn1 + earn2;

        if (earn <= 1 * tax.TAXBR(1))
            y = tax.tCouL(1, 1, 1);
        elseif (earn >= 1.0 * tax.TAXBR(tax.NTAXBR))
            y = tax.tCouL(1, tax.NTAXBR - 1, 1) + tax.tCouL(2, tax.NTAXBR - 1, 1) * earn;
        else
            for iX = 1:tax.NTAXBR - 1
                if (earn >= 1 * tax.TAXBR(iX) && earn < 1 * tax.TAXBR(iX + 1))
                    y = tax.tCouL(1, iX, 1) + tax.tCouL(2, iX, 1) * earn;
                end
            end
        end

    otherwise
        % ...
end

end
