function stat = figureEmpiricalTax(settings)

    [hfig, ax1] = taxEmpirical(settings);

    set(hfig,'units','centimeters', 'NumberTitle', 'off');
    set(ax1, 'FontSize', settings.fontsize_sml);
    pos = get(hfig, 'position');
    set(hfig, 'position', [pos(1:2), settings.width_sml, settings.height_sml]);

    % hide vertical axis labels
    ylabel(ax1, '')
    set(ax1, 'YTickLabel', '')
        
    figname = [settings.figurepath, 'empirical_tax_sml_noy'];
    matlabfrag(figname);

    % reproduce baseline model schedule
    ixTheta = 1;
    fname = [settings.fpath, 'primal1_t', sprintf('%02d', settings.theta(ixTheta)), '/xtax_sol.asc'];

    tax = initTax(10, settings.factor);
    tax.taxins = tax.JOINT;
    
    y = loadxtax2(fname, settings.ed);
    x = unitToLevel(tax, y, tax.ymin);
    tax = setTax(x, tax, settings.factor);

    % 2d constraint
    [hfig, ax1] = couplesTaxConditionalNewAvg(tax, settings, 1);

    set(hfig,'units','centimeters', 'NumberTitle', 'off');
    pos = get(hfig, 'position');
    set(ax1, 'FontSize', settings.fontsize_sml);
    set(hfig, 'position', [pos(1:2), settings.width_sml, settings.height_sml]);

    figname = [settings.figurepath, 'empirical_mtr_t', sprintf('%02d', settings.theta(ixTheta)), '_sml'];
    matlabfrag(figname);


end
