function figureFineGrid(settings)

% fine grid (reproduce original figure on different scale also)
tax = initTax(10, settings.factor);
tax.taxins = tax.JOINT;

% set up taxes
ixTheta = 1;
fname = [settings.fpath, 'primal1_t', sprintf('%02d', settings.theta(ixTheta)), '/xtax_sol.asc'];
y = loadxtax2(fname, settings.ed);
x = unitToLevel(tax, y, tax.ymin);
tax = setTax(x, tax, settings.factor);

% 3d constraint (small)
[hfig, ax1, ax2] = couplesTaxSurfaceNew(tax, settings);

set(hfig,'units', 'centimeters', 'NumberTitle', 'off');
pos = get(hfig, 'position');
set(ax1, 'FontSize', settings.fontsize_sml);
set(ax2, 'FontSize', settings.fontsize_sml);
set(hfig, 'position', [pos(1:2), settings.width_sml, settings.height_sml]);

figname = [settings.figurepath, 'budconsml3d_t', sprintf('%02d', settings.theta(ixTheta))];
matlabfrag(figname);
close all

% initialise the tax structure (number of breaks) with fine grid
tax = initTax(18, settings.factor);
tax.taxins = tax.JOINT;

% set up taxes
ixTheta = 1;
fname = [settings.fpath, 'primal_fine1_t', sprintf('%02d', settings.theta(ixTheta)), '/xtax_sol.asc'];
y = loadxtax2(fname, settings.ed);
x = unitToLevel(tax, y, tax.ymin);
tax = setTax(x, tax, settings.factor);

% 3d constraint (small)
[hfig, ax1, ax2] = couplesTaxSurfaceNew(tax, settings);

set(hfig,'units', 'centimeters', 'NumberTitle', 'off');
pos = get(hfig, 'position');
set(ax1, 'FontSize', settings.fontsize_sml);
set(ax2, 'FontSize', settings.fontsize_sml);
set(hfig, 'position', [pos(1:2), settings.width_sml, settings.height_sml]);
set(ax2, 'ZTickLabel', '')
zlabel(ax2, '')
figname = [settings.figurepath, 'budconsmlfine3d_t', sprintf('%02d', settings.theta(ixTheta))];
matlabfrag(figname);
close all

end
