function figureFixedNew(settings)

res = [1];
fixedstr = 'fixed';

for ixTheta = 1:1

    for ixRes = 1:length(res)

        close all

        % initialise the tax structure (number of breaks)
        tax = initTax(10, settings.factor);
        tax.taxins = res(ixRes);

        %set up taxes
        fname = [settings.fpath, fixedstr, int2str(res(ixRes)), '_t', sprintf('%02d', settings.theta(ixTheta)), '/xtax_sol.asc'];
        y = loadxtax2(fname, settings.ed);
        x = unitToLevel(tax, y, tax.ymin);
        tax = setTax(x, tax, settings.factor);

        tax2 = initTax(10, settings.factor);
        tax2.taxins = res(ixRes);

        %set up taxes
        fname = [settings.fpath, 'primal', int2str(res(ixRes)), '_t', sprintf('%02d', settings.theta(ixTheta)), '/xtax_sol.asc'];
        y2 = loadxtax2(fname, settings.ed);
        x2 = unitToLevel(tax2, y2, tax2.ymin);
        tax2 = setTax(x2, tax2, settings.factor);

        [hfig, ax1] = couplesTaxConditionalCompare(tax2, tax, settings);
        set(hfig,'units','centimeters', 'NumberTitle', 'off');
        set(ax1, 'FontSize', settings.fontsize);
        pos = get(hfig, 'position');
        set(hfig, 'position', [pos(1:2), settings.width, settings.height]);

        figname = [settings.figurepath, 'mtr_comp', fixedstr, int2str(res(ixRes)), '_t', sprintf('%02d', settings.theta(ixTheta))];
        matlabfrag(figname);

    end

end

end
