function figureMain(settings)

% initialise the tax structure (number of breaks)
tax = initTax(10, settings.factor);
tax.taxins = tax.JOINT;
tn = {'primal1_t'};
outtn = {''};

for ixTheta = 1:length(settings.theta)

    close all

    for ixTn = 1:length(tn)

        %set up taxes
        fname = [settings.fpath, tn{ixTn}, sprintf('%02d', settings.theta(ixTheta)), '/xtax_sol.asc'];
        
        if (exist(fname, 'file'))
            y = loadxtax2(fname, settings.ed);
            x = unitToLevel(tax, y, tax.ymin);
            tax = setTax(x, tax, settings.factor);

            % 3d constraint
            [hfig, ax1, ax2] = couplesTaxSurfaceNew(tax, settings);
            ax1.XAxis.TickLabelFormat = '%,.1f';

            set(hfig,'units', 'centimeters', 'NumberTitle', 'off');
            pos = get(hfig, 'position');
            set(ax1, 'FontSize', settings.fontsize);
            set(ax2, 'FontSize', settings.fontsize);
            set(hfig, 'position', [pos(1:2), settings.width, settings.height]);

            figname = [settings.figurepath, 'budcon3d' , outtn{ixTn}, '_t', sprintf('%02d', settings.theta(ixTheta))];
            matlabfrag(figname);
            close all

        end
    end
    
end

end