function figureMainCI(settings)

% initialise the tax structure (number of breaks)
tax = initTax(10, settings.factor);
tax.taxins = tax.JOINT;
taxs = cell(settings.nsamples, 1);

% mtr with pointwise confidence bands
for ixTheta = 1:length(settings.theta)

    close all

    % set up taxes
    fname = [settings.fpath, 'primal1_t', sprintf('%02d', settings.theta(ixTheta)), '/xtax_sol.asc'];
    y = loadxtax2(fname, settings.ed);
    x = unitToLevel(tax, y, tax.ymin);
    tax = setTax(x, tax, settings.factor);

    ixS = 0;
    for ixR = 1:settings.nsamples
        fname = [settings.fpath, 'samples1_t', sprintf('%02d', settings.theta(ixTheta)), '/xtax_sol', ...
            int2str(ixR), '.asc'];
        if exist(fname, 'file')
            ixS = ixS + 1;
            y = loadxtax2(fname, settings.ed);
            taxs{ixS} = tax;
            x = unitToLevel(taxs{ixS}, y, taxs{ixS}.ymin);
            taxs{ixS} = setTax(x, taxs{ixS}, settings.factor);
        end
    end
    nsamplesExist = ixS;

    % 2d constraint with CI
    [hfig, ax1] = couplesTaxConditionalNewAvgCI(tax, taxs, settings, nsamplesExist);

    set(hfig, 'units', 'centimeters', 'NumberTitle', 'off');
    set(ax1, 'FontSize', settings.fontsize);
    pos = get(hfig, 'position');
    set(hfig,'position', [pos(1:2), settings.width, settings.height]);

    figname = [settings.figurepath, 'mtrCI_t', sprintf('%02d', settings.theta(ixTheta))];
    matlabfrag(figname);

end

end
