function figureMainGBT(settings)

% initialise the tax structure (number of breaks)
tax = initTax(10, settings.factor);
tax.taxins = tax.JOINTGBTALL;
res = [tax.JOINTGBTALL];
ixRes = 1;
for ixTheta = 1:1

    close all

    %set up taxes
    respath = [settings.fpath, 'primal', int2str(res(ixRes)), '_t', sprintf('%02d', settings.theta(ixTheta)), '/'];
    fname =   [respath, '/xtax_sol.asc'];

    y = loadxtax2(fname, settings.ed);
    x = unitToLevel(tax, y, tax.ymin);
    tax = setTax(x, tax, settings.factor);

    % 2d constraint
    [hfig, ax1] = couplesTaxConditionalNewAvg(tax, settings, 1, 'Male Earnings, $z_1$');

    set(hfig,'units','centimeters', 'NumberTitle', 'off');
    set(ax1, 'FontSize', settings.fontsize_sml);
    pos = get(hfig, 'position');
    set(hfig, 'position', [pos(1:2), settings.width_sml, settings.height_sml]);

    figname = [settings.figurepath, 'mtrGender', int2str(tax.taxins), '_t', sprintf('%02d', settings.theta(ixTheta)), '_sml'];
    matlabfrag(figname);
    
    % 2d constraint (spouse)
    [hfig, ax1] = couplesTaxConditionalNewAvg(tax, settings, 2, 'Female Earnings, $z_2$');

    set(hfig,'units','centimeters', 'NumberTitle', 'off');
    set(ax1, 'FontSize', settings.fontsize_sml);
    pos = get(hfig, 'position');
    set(hfig, 'position', [pos(1:2), settings.width_sml, settings.height_sml]);

    % hide vertical axis labels
    ylabel(ax1, '')
    set(ax1, 'YTickLabel', '')

    figname = [settings.figurepath, 'mtrGenderSp', int2str(tax.taxins), '_t', sprintf('%02d', settings.theta(ixTheta)), '_sml_noy'];
    matlabfrag(figname);

end

end
