function figureMainSingleGBT(settings)

for ixTheta = 1:1

	% initialise the tax structure (non-gendered single)
	tax = initTax(10, settings.factor);
	tax.taxins = tax.JOINTGBT;

	respath0 = [settings.fpath, 'primal', int2str(tax.taxins), '_t', sprintf('%02d', settings.theta(ixTheta)), '/'];
	fname = [respath0, '/xtax_sol.asc'];

	y = loadxtax2(fname, settings.ed);
	x = unitToLevel(tax, y, tax.ymin);
	tax = setTax(x, tax, settings.factor);

	% initialise the tax structure (gendered single)
	tax_all = initTax(10, settings.factor);
	tax_all.taxins = tax.JOINTGBTALL;

	respath1 = [settings.fpath, 'primal', int2str(tax_all.taxins), '_t', sprintf('%02d', settings.theta(ixTheta)), '/'];
	fname = [respath1, '/xtax_sol.asc'];

	y = loadxtax2(fname, settings.ed);
	x = unitToLevel(tax_all, y, tax.ymin);
	tax_all = setTax(x, tax_all, settings.factor);

	% compare net-income levels
	[hfig, ax1] = singleLevelGBT(tax, tax_all, settings, 1);

	% output figure
	set(hfig,'units','centimeters', 'NumberTitle', 'off');
	set(ax1, 'FontSize', settings.fontsize_sml);
	pos = get(hfig, 'position');
	set(hfig, 'position', [pos(1:2), settings.width_sml, settings.height_sml]);

	figname = [settings.figurepath, 'singleGenderLevel_t', sprintf('%02d', settings.theta(ixTheta)), '_sml'];
	matlabfrag(figname);

end

end