function figurePerturbation(settings)

% initialise the tax structure (number of breaks)
tax = initTax(10, settings.factor);
tax.taxins = tax.JOINT;
pset = [0, 7, 21, 37];
noy = [0, 1, 0, 1];

for ixTheta = 1:1
    for ixPerturbIndex = 1:length(pset)

        ixPerturbation = pset(ixPerturbIndex);
        
        close all

        %set up taxes
        if (ixPerturbation > 0)
            fname = [settings.fpath, 'perturbation1_t', sprintf('%02d', settings.theta(ixTheta)), ...
                     sprintf('_p%02d', ixPerturbation), '/xtax_sol.asc'];
        else
            fname = [settings.fpath, 'primal1_t', sprintf('%02d', settings.theta(ixTheta)), '/xtax_sol.asc'];
        end

        y = loadxtax2(fname, settings.ed);
        x = unitToLevel(tax, y, tax.ymin);
        tax = setTax(x, tax, settings.factor);

        %2d constraint
        [hfig, ax1, hl] = couplesTaxConditionalNewAvg(tax, settings, 1);

        % hide legend
        if (ixPerturbation > 0)
            set(hl.obj,'visible','off')
        end
        
        set(hfig,'units','centimeters', 'NumberTitle', 'off');
        pos = get(hfig, 'position');
        set(ax1, 'FontSize', settings.fontsize_sml);
        set(hfig, 'position', [pos(1:2), settings.width_sml, settings.height_sml]);

        % hide vertical axis labels
        if (noy(ixPerturbIndex) > 0)
            ylabel(ax1, '')
            set(ax1, 'YTickLabel', '')
            ptag = '_noy';
        else
            ptag = '';
        end

        figname = [settings.figurepath, 'mtr_t', sprintf('%02d', settings.theta(ixTheta)), ...
                   sprintf('_p%02d', ixPerturbation), '_sml', ptag];

        matlabfrag(figname);

    end

end

end