function formatTicks(hA, axus)
% Write existing tick labels with consistent number of decimal places
% formatTicks(hA, axis)
% where hA is the handle for the desired axis
% axis is a character for the desired axis--'x|y|z'

  ticks = get(hA, [axus 'tick']);
  lbls = get(hA, [axus 'ticklabel']);

  if (iscell(lbls))
      lenlab = length(lbls);
  else
      lenlab = size(lbls,2);
  end

  tikdif = diff(ticks(1:2));
  difstr = num2str(tikdif);
  ndec = length(difstr) - find(difstr=='.');
  fmtstr = ['%' num2str(lenlab) '.' num2str(ndec) 'f|'];
  lab = sprintf(fmtstr, ticks);
  C = strsplit(lab, '|');
  set(hA, [axus 'ticklabel'], C);