function tax = initTax(n, factor)

if (n == 10)
    tax.TAXBR = [ 0.0, 12500.0, 25000.0, 37500.0, 60000.0, ...
                  85000.0, 110000.0, 150000.0, 190000.0, 250000.0 ] / 52.0;
elseif (n == 18)
    tax.TAXBR = [ 0.0, 12500.0, 18750.0, 25000.0, 31250.0, 37500.0, ...
                  48750.0, 60000.0, 72500.0, 85000.0, 98000.0, 110000.0, ...
                  130500, 150000.0, 170000, 190000.0, 220000.0, 250000.0 ] / 52.0;
else
    error(['TAXBR not defined for ', int2str(n)])
end

tax.TAXBRS = tax.TAXBR * factor;
tax.xtickh3d = factor * (0:30000:150000) / 52;
tax.ytickh3d = factor * (0:30000:150000) / 52;
tax.ztickh3d = factor * (0:40000:200000) / 52;
tax.xtickh2d = factor * (0:30000:150000) / 52;

tax.ytickh2d = [-0.25, 0, 0.25, 0.5, 0.75, 1.0];
tax.ytickh2d = [-0.20, 0, 0.20, 0.4, 0.60, 0.8];

tax.factor = factor;

tax.NTAXBR = length(tax.TAXBR);
tax.TAXDBR = diff(tax.TAXBR);

tax.JOINT = 1;
tax.INDEPENDENT = 2;
tax.INDEPENDENT3 = 5;
tax.FULLJOINT2 = 6;
tax.JOINTGBT = 8;
tax.JOINTGBTALL = 9;

tax.labels = {'Unrestricted' ...
              'Independent' ...
              '' ...
              '' ...
              'Income splitting' ...
              'Income aggregation' ...
              '' ...
              'Gender based taxation' ...
              'Gender based taxation (All)'};

tax.NTAXPARAM = tax.NTAXBR * (tax.NTAXBR + 2);

tax.NTAXRES = [ (tax.NTAXBR + 1) * tax.NTAXBR / 2 + tax.NTAXBR, ...
                tax.NTAXBR, ...
                1, ...
                1, ...
                tax.NTAXBR, ...
                tax.NTAXBR, ...
                1, ...
                tax.NTAXBR * (tax.NTAXBR + 1), ...
                tax.NTAXBR * (tax.NTAXBR + 2) ];

tax.ymin = -200;

end
