function stat = marriageElasticity(fpath, tablepath, mode)

if (exist([fpath, 'mmf.csv'], 'file'))
    mmf = load([fpath, 'mmf.csv']);
else
    warning([fpath, 'mmf.csv does not exist'])
    stat = 1;
    return
end

single1 = mmf(mmf(:, 1) == 1 & mmf(:, 3) == 0, 4);
single2 = mmf(mmf(:, 1) == 2 & mmf(:, 3) == 0, 4);

sumsingle1 = sum(single1);
sumsingle2 = sum(single2);

elas = -100 * ( sumsingle2 - sumsingle1 ) / (1 - sumsingle1);

fname = [tablepath, '/marriage_elas.tex'];

fid = fopen(fname, 'w');
fprintf(fid, '%0.2f', elas);
fclose(fid);

stat = 0;

end
