function tax = setTax(x, tax, factor)

tax.label = tax.labels{tax.taxins};

if ( length(x) ~= tax.NTAXRES(tax.taxins) )
    error('length of x is wrong');
end

tax.tSin = zeros(tax.NTAXBR, 2);
tax.tCou = zeros(tax.NTAXBR, tax.NTAXBR);

tax.tSin(:, 1) = x(1:tax.NTAXBR); % tax parameters for singles
ixParam = tax.NTAXBR;

switch tax.taxins

    case(tax.JOINT)
        tax.tSin(:, 2) = tax.tSin(:, 1);
        for ixL1 = 1:tax.NTAXBR
            for ixL0 = ixL1:tax.NTAXBR
                ixParam = ixParam + 1;
                tax.tCou(ixL0, ixL1) = x(ixParam);
            end
        end
        % symmetry
        for ixL1 = 1:tax.NTAXBR
            for ixL0 = 1:ixL1 - 1
                tax.tCou(ixL0, ixL1) = tax.tCou(ixL1, ixL0);
            end
        end
    case(tax.INDEPENDENT)
        tax.tSin(:, 2) = tax.tSin(:, 1);
        tax.tCou(1:tax.NTAXBR, 1) = tax.tSin(:, 1);
    case(tax.INDEPENDENT3)
        tax.tSin(:, 2) = tax.tSin(:, 1);
        tax.tCou(1:tax.NTAXBR, 1) = tax.tSin(:, 1);
    case(tax.FULLJOINT2)
        tax.tSin(:, 2) = tax.tSin(:, 1);
        tax.tCou(1:tax.NTAXBR, 1) = tax.tSin(:, 1);
    case(tax.JOINTGBT)
        tax.tSin(:, 2) = tax.tSin(:, 1);
        for ixL1 = 1:tax.NTAXBR
            for ixL0 = 1:tax.NTAXBR
                ixParam = ixParam + 1;
                tax.tCou(ixL0, ixL1) = x(ixParam);
            end
        end
    case(tax.JOINTGBTALL)
        tax.tSin(:, 2) = x(tax.NTAXBR + 1 : 2 * tax.NTAXBR); % tax parameters for singles
        ixParam = 2 * tax.NTAXBR;
        for ixL1 = 1:tax.NTAXBR
            for ixL0 = 1:tax.NTAXBR
                ixParam = ixParam + 1;
                tax.tCou(ixL0, ixL1) = x(ixParam);
            end
        end
    otherwise
        % ...
end

tax = calcTaxCoef(tax);

tax.tSinLev = zeros(tax.NTAXBR, 2);
tax.tCouLev = zeros(tax.NTAXBR, tax.NTAXBR);

for ixGender = 1:2
    for ixL0 = 1:tax.NTAXBR
        tax.tSinLev(ixL0, ixGender) = evalTaxSinScalar( tax, tax.TAXBR(ixL0), ixGender );
    end
end

for ixL1 = 1:tax.NTAXBR
    for ixL0 = 1:tax.NTAXBR
        tax.tCouLev(ixL0, ixL1) = evalTaxCouScalar( tax, tax.TAXBR(ixL0), tax.TAXBR(ixL1) );
    end
end

tax.tSinLev = tax.tSinLev * factor;
tax.tCouLev = tax.tCouLev * factor;

end
