function [hfig, ax1, leg] = singleLevelGBT(tax, tax_all, settings, legpos)

xtickh = tax.xtickh2d;
ytickh = [0 20 40 60 80 100 120];

bgedge = [0.7 0.7 0.7];
gridstyle = '--';
gridstylen = '-';

close all
hfig = figure('Visible', settings.visible);
hold all

for iX = 2:length(xtickh) - 1
    line( [xtickh(iX), xtickh(iX)], [ytickh(1) + eps, ytickh(end)], ...
        'Color', bgedge, 'LineWidth', 0.5, 'LineStyle', gridstyle )
end
line( [xtickh(end), xtickh(end)], [ytickh(1) + eps, ytickh(end)], ...
    'Color', bgedge, 'LineWidth', 0.5, 'LineStyle', gridstylen )


for iY = 2:length(ytickh) - 1
    line( [xtickh(1) + eps, xtickh(end)], [ytickh(iY), ytickh(iY)], ...
        'Color', bgedge, 'LineWidth', 0.5, 'LineStyle', gridstyle )
end
line( [xtickh(1) + eps, xtickh(end)], [ytickh(end), ytickh(end)], ...
    'Color', bgedge, 'LineWidth', 0.5, 'LineStyle', gridstylen )


cc = linspecer(4);
col_bc = [0.8000 0.2500 0.3300];
col_ic = cc(1, :);

p = zeros(3, 1);

p(1) = plot(tax.TAXBRS, tax.TAXBRS' - tax.tSinLev(:, 1), ...
            'LineWidth', 1, 'color', col_ic );
p(2) = plot(tax.TAXBRS, tax.TAXBRS' - tax_all.tSinLev(:, 1), ...
            'LineWidth', 1, 'color', col_bc, 'linestyle', '--');
p(3) = plot(tax.TAXBRS, tax.TAXBRS' - tax_all.tSinLev(:, 2), ...
            'LineWidth', 1, 'color', col_bc, 'linestyle', '-.');

C = {'Single (neutral)', 'Single (men)', 'Single (women)'};

% new axis
ax1 = gca;

ylim([ytickh(1) ytickh(end)])
xlim([0, xtickh(end)]);
xlabel('$z$')

if (legpos == 1)
    leg = legendflex(p, C, 'box', 'off', 'Anchor', [1 1], 'Buffer', [10  -10], 'FontSize', 7);
elseif (legpos == 2)
    leg = legendflex(p, C, 'box', 'off', 'Anchor', [5 5], 'Buffer', [-10  10], 'FontSize', 7);
end        
    
set(gca, 'XTick', xtickh)
set(gca, 'YTick', ytickh)
set(gca, 'Layer', 'Top')
formatTicks(gca, 'y');

hold off

end
