function stat = tableMarriagePattern(fpath, tablepath, mode)

% match distribution
jtype_M0 = load([fpath, 'jtype_M0.csv']);
jtype_0F = load([fpath, 'jtype_0F.csv']);
jtype_MF = load([fpath, 'jtype_MF.csv']);

% number of types (assumes symmetric for men and women)
nmf = size(jtype_M0, 1);

% marital sorting
jtype_sim = zeros(nmf + 1, nmf + 1);
jtype_dat = zeros(nmf + 1, nmf + 1);

jtype_sim(2:(nmf+1), 1) = jtype_M0(:, 2);
jtype_sim(1, 2:(nmf+1)) = jtype_0F(:, 2)';
for ij = 1:nmf
    jtype_sim(2:(nmf+1), ij + 1) = jtype_MF(jtype_MF(:, 2) == ij, 3);
end

jtype_dat(2:(nmf+1), 1) = jtype_M0(:, 3);
jtype_dat(1, 2:(nmf+1)) = jtype_0F(:, 3)';
for ij = 1:nmf
    jtype_dat(2:(nmf+1), ij + 1) = jtype_MF(jtype_MF(:, 2) == ij, 4);
end

jtype_sim(1, 1) = NaN;
jtype_dat(1, 1) = NaN;

if (mode == 0)
    note = [];
else
    note = 'Data \color{blue}[Model]';
end

tableMatch(jtype_dat, jtype_sim, '%6.3f', [tablepath, '/marriage.tex'], note);

end
