function stat = tableMarriageRestricted2(fpath, tablepath, fsave, mode)

    % match distribution
    jtype_M0 = load([fpath, 'jtype_M0.csv']);
    jtype_0F = load([fpath, 'jtype_0F.csv']);
    jtype_MF = load([fpath, 'jtype_MF.csv']);

    jtype = NaN(4, 4);

    jtype(2:4, 1) = jtype_M0(:, 2);
    jtype(1, 2:4) = jtype_0F(:, 2)';
    jtype(2:4, 2) = jtype_MF(jtype_MF(:, 2) == 1, 3);
    jtype(2:4, 3) = jtype_MF(jtype_MF(:, 2) == 2, 3);
    jtype(2:4, 4) = jtype_MF(jtype_MF(:, 2) == 3, 3);

    jtype(1, 1) = NaN;

    % weights distribution
    Rweights = load([fpath, 'weight.csv']);

    % weights (aggregate)
    lam0 = Rweights(Rweights(:, 1) == 0, 4);
    lam0 = reshape(lam0, [3 3]);
    lam1 = NaN(4, 4);
    lam1(2:4, 2:4) = lam0;

    % assorative mating
    jtypeMar = jtype(2:end, 2:end);
    jtypeMar = jtypeMar / sum(jtypeMar(:));

    mtype = zeros(3, 1);
    ftype = zeros(3, 1);

    for ixM = 1:3
        mtype(ixM) = sum(jtypeMar(ixM,: ));
    end

    for ixF = 1:3
        ftype(ixF) = sum(jtypeMar(:, ixF));
    end

    if (mode == 9)
        tableMatchFull(jtype, [], '%6.3f', [tablepath, '/', fsave, '.tex']);
    else
        tableMatchFull(jtype, lam1, '%6.3f', [tablepath, '/', fsave, '.tex']);
    end

    stat = 0;

end
