function count = tableMatch(data, dataL, format, fname, notes)

nrow = size(data, 1);
nmf = nrow - 1;

if ~isempty(dataL)
    nmultirow = nrow * 2;
else
    nmultirow = nrow;
end

if (nmf == 3)
    
    str = ['\begin{tabular}{llcccc}\n', ...
        '\toprule\n', ...
        '&& \multicolumn{4}{c}{Women}\\\n', ...
        '\cmidrule(lr){3-6}\n', ...
        '&& & High school & Some    & College\\\n', ...
        '&& & and below   & college & and above\\\n', ...
        '\midrule\n', ...
        '\parbox[t]{1mm}{\multirow{',int2str(nmultirow),'}{*}{\rotatebox[origin=c]{90}{Men}}}\n'];

    datarowlabel = {'', '\quad High school and below', '\quad Some college', '\quad College and above'};

elseif (nmf == 4)
    str = ['\begin{tabular}{llcccccc}\n', ...
    '\toprule\n', ...
    '&& \multicolumn{4}{c}{Women}\\\n', ...
    '\cmidrule(lr){3-6}\n', ...
    '&& & Less than   & High   & Some    & College\\\n', ...
    '&& & high school & school & college & and above\\\n', ...
    '\midrule\n', ...
    '\parbox[t]{1mm}{\multirow{',int2str(nmultirow),'}{*}{\rotatebox[origin=c]{90}{Men}}}\n'];

    datarowlabel = {'', '\quad Less than high school', '\quad High school', '\quad Some college', '\quad College and above'};

else
    % ...
end
celldatarowlabel = cellstr(datarowlabel);


nl = 1;
for ixRow = 1:nrow
    thisRow = sprintf([' & ', format], data(ixRow, :));
    thisRow2 = strrep(thisRow, 'NaN', '--');
    for ixL = 1:nl
        str = [str, '&', celldatarowlabel{ixL, ixRow}];
        if (ixL < nl)
            str = [str, ' & '];
        end
    end
    str = [str, thisRow2, '\\\n'];
    if ~isempty(dataL)
        thisRow = sprintf([' & \\color{blue}[', format, ']'], dataL(ixRow, :));
        thisRow2 = regexprep(thisRow, '\s+', '');
        thisRow2 = strrep(thisRow2, '[NaN]', '');
        str = [str, '&', thisRow2, '\\\n'];
    end
end

if ~isempty(notes)
    str = [str, '\bottomrule\n', ...
        '\\\n', ...
        '\multicolumn{6}{l}{\emph{Notes:} ', notes, '}\n', ...
        '\end{tabular}\n'];
else
    str = [str, '\bottomrule\n', ...
        '\end{tabular}\n'];
end

strout = regexprep(str, '(\\n)', '\n');

fid = fopen(fname, 'w');
count = fprintf(fid, '%s', strout);
fclose(fid);

end
