function stat = tableWeightsPattern(fpath, tablepath, mode)

% weights (market level)
Rweights = load([fpath, 'weight.csv']);

% number of educational types (assumes symmetric)
nmf = max(Rweights(:, 2));
nmarket = max(Rweights(:, 1));

% weights (aggregate)
lam0 = Rweights(Rweights(:, 1) == 0, 4);
lam0 = reshape(lam0, [nmf, nmf]);

lam = zeros(nmf, nmf, nmarket);
minLam = zeros(nmf, nmf);
maxLam = zeros(nmf, nmf);

for mX = 1:nmarket
    tempLam = Rweights(Rweights(:, 1) == mX, 4);
    lam(:, :, mX) = reshape(tempLam, [nmf nmf]);
end

for pX2 = 1:nmf
    for pX1 = 1:nmf
        minLam(pX1, pX2) = min(lam(pX1, pX2, :));
        maxLam(pX1, pX2) = max(lam(pX1, pX2, :));
    end
end

if (mode == 0)
    note = [];
else
    note = 'Data \color{blue}[Model]';
end

tableMatchWeights(lam0, minLam, maxLam, '%6.3f', [tablepath, '/weights.tex'], note);

stat = 0;

end

