#!/bin/bash
echo "$1 $2 $3"

if [ "$1" == "" ]; then
  mkdir -p "output/simulation/primal/"
  output_name="simulation/primal/output_optimal_res_primal_mpi.log"
  job_name="optimal_mpi_res_primal_fine"
  tag_name=""
  tag_theta=""
else
  if [ "$2" == "" ]; then
    mkdir -p "output/simulation/${1}/primal_fine/"
    output_name="output/simulation/${1}/primal_fine/output_optimal_res_mpi.log"
    job_name="optimal_mpi_res_primal_fine_${1}"
    tag_name="${1}"
    tag_theta=""
  else
    if [ "$3" == "" ]; then
      mkdir -p "output/simulation/${1}/primal_fine${2}/"
      output_name="output/simulation/${1}/primal_fine${2}/output_optimal_res_mpi.log"
      job_name="optimal_mpi_res_primal_fine_${1}_${2}"
      tag_name="${1}"
      tag_theta=""
    else
      tag_theta="$(printf %02d ${3})"
      mkdir -p "output/simulation/${1}/primal_fine${2}_t${tag_theta}/"
      output_name="output/simulation/${1}/primal_fine${2}_t${tag_theta}/output_optimal_res_mpi.log"
      job_name="optimal_mpi_res_primal_fine_${1}_${2}_t${tag_theta}"
      tag_name="${1}"
    fi
  fi
fi

echo "$tag_name $2 $tag_theta"

ntaxbr=18
ntype1=3
ntype2=3
ntaxparam=$(( ($ntaxbr+1)*($ntaxbr)/2 + $ntaxbr ))

if [ "$2" == "1" ]; then
  ntaxparam=$(( ($ntaxbr+1)*($ntaxbr)/2 + $ntaxbr ))
elif [ "$2" == "2" ]; then
  ntaxparam=$ntaxbr
elif [ "$2" == "5" ]; then
  ntaxparam=$ntaxbr
elif [ "$2" == "6" ]; then
  ntaxparam=$ntaxbr
elif [ "$2" == "8" ]; then
  ntaxparam=$(( $ntaxbr * ($ntaxbr + 1) ))
elif [ "$2" == "9" ]; then
  ntaxparam=$(( $ntaxbr * ($ntaxbr + 2) ))
fi

rm -f $output_name
qsub -o $output_name -pe ompi $((1+$ntaxparam+$ntype1*$ntype2)) -N $job_name -v tag="$tag_name",tag2="$2",tag3="$tag_theta",exec="./optimal_level_restricted_mpi.out" qsub_mpi.sh
