#!/bin/bash
echo "$1 $2 $3 $4"

# only works properly if all options are supplied
#./mpi_res_fixed_optimal.sh 600 1 00 0
#./mpi_res_fixed_optimal.sh 600 2 00 0
#./mpi_res_fixed_optimal.sh 600 5 00 0
#./mpi_res_fixed_optimal.sh 600 6 00 0

tag_theta="$(printf %02d ${3})"
mkdir -p "output/simulation/${1}/fixed${2}_t${tag_theta}/"
mkdir -p "output/simulation/${1}/fixed${2}_t${tag_theta}/dual"
output_name="output/simulation/${1}/fixed${2}_t${tag_theta}/output_optimal_res_mpi.log"
output_name2="output/simulation/${1}/fixed${2}_t${tag_theta}/dual/output_optimal_res_mpi.log"
job_name="optimal_mpi_res_fixed_${1}_${2}_t${tag_theta}"
job_name2="optimal_mpi_res_fixed_dual_${1}_${2}_t${tag_theta}"
tag_name="${1}"

echo "$tag_name $2 $tag_theta $4"

ntaxbr=10
ntype1=3
ntype2=3
ntaxparam=$(( ($ntaxbr+1)*($ntaxbr)/2 + $ntaxbr ))

if [ "$2" == "1" ]; then
  ntaxparam=$(( ($ntaxbr+1)*($ntaxbr)/2 + $ntaxbr ))
elif [ "$2" == "2" ]; then
  ntaxparam=$ntaxbr
elif [ "$2" == "5" ]; then
  ntaxparam=$ntaxbr
elif [ "$2" == "6" ]; then
  ntaxparam=$ntaxbr
elif [ "$2" == "8" ]; then
  ntaxparam=$(( $ntaxbr * ($ntaxbr + 1) ))
elif [ "$2" == "9" ]; then
  ntaxparam=$(( $ntaxbr * ($ntaxbr + 2) ))
fi

rm -f $output_name
rm -f $output_name2

qsub -o $output_name -pe ompi $((1+$ntaxparam)) -N $job_name -v tag="$tag_name",tag2="$2",tag3="$tag_theta",tag4="$4",exec="./optimal_level_fixed_mpi.out" qsub_mpi.sh
qsub -hold_jid $job_name -o $output_name2 -pe ompi $((1+$ntaxparam+$ntype1*$ntype2)) -N $job_name2 -v tag="$tag_name",tag2="$2",tag3="$tag_theta",tag4="$4",tag5="fixed",exec="./optimal_level_restricted_dual_mpi.out" qsub_mpi.sh
