#!/bin/bash
echo "$1 $2 $3 $4"

tag_theta="$(printf %02d ${3})"
tag_perturb="$(printf %02d ${4})"
mkdir -p "output/simulation/${1}/perturbation${2}_t${tag_theta}_p${tag_perturb}/"
output_name="output/simulation/${1}/perturbation${2}_t${tag_theta}_p${tag_perturb}/output_optimal_res_mpi.log"
job_name="optimal_mpi_res_perturb"
tag_name="${1}"

echo "$tag_name $2 $tag_theta $tag_perturb"

ntaxbr=10
ntype1=3
ntype2=3
ntaxparam=$(( ($ntaxbr+1)*($ntaxbr)/2 + $ntaxbr ))

if [ "$2" == "1" ]; then
  ntaxparam=$(( ($ntaxbr+1)*($ntaxbr)/2 + $ntaxbr ))
elif [ "$2" == "2" ]; then
  ntaxparam=$ntaxbr
elif [ "$2" == "5" ]; then
  ntaxparam=$ntaxbr
elif [ "$2" == "6" ]; then
  ntaxparam=$ntaxbr
elif [ "$2" == "8" ]; then
  ntaxparam=$(( $ntaxbr * ($ntaxbr + 1) ))
elif [ "$2" == "9" ]; then
  ntaxparam=$(( $ntaxbr * ($ntaxbr + 2) ))
fi

rm -f $output_name
qsub -o $output_name -pe ompi $((1+$ntaxparam+$ntype1*$ntype2)) -N $job_name -v tag="$tag_name",tag2="$2",tag3="$tag_theta",tag4="$tag_perturb",exec="./optimal_level_perturb_new_mpi.out" qsub_mpi.sh
