#!/bin/bash
echo "$1 $2 $3 $4 $5"

tag_theta="$(printf %02d ${3})"
mkdir -p "output/simulation/${1}/samples${2}_t${tag_theta}/"
output_name="output/simulation/${1}/samples${2}_t${tag_theta}/output_optimal_res_mpi_${4}_${5}.log"
job_name="optimal_mpi_res_sample_${4}_${5}"
tag_name="${1}"
tag_ixR0="${4}"
tag_ixR1="${5}"

echo "$tag_name $2 $tag_theta $tag_ixR0 $tag_ixR1"

ntaxbr=10
ntype1=3
ntype2=3
ntaxparam=$(( ($ntaxbr+1)*($ntaxbr)/2 + $ntaxbr ))

if [ "$2" == "1" ]; then
  ntaxparam=$(( ($ntaxbr+1)*($ntaxbr)/2 + $ntaxbr ))
elif [ "$2" == "2" ]; then
  ntaxparam=$ntaxbr
elif [ "$2" == "5" ]; then
  ntaxparam=$ntaxbr
elif [ "$2" == "6" ]; then
  ntaxparam=$ntaxbr
elif [ "$2" == "8" ]; then
  ntaxparam=$(( $ntaxbr * ($ntaxbr + 1) ))
elif [ "$2" == "9" ]; then
  ntaxparam=$(( $ntaxbr * ($ntaxbr + 2) ))
fi

rm -f $output_name
qsub -o $output_name -pe ompi $((1+$ntaxparam+$ntype1*$ntype2)) -N $job_name -v tag="$tag_name",tag2="$2",tag3="$tag_theta",tag4="$tag_ixR0",tag5="$tag_ixR1",exec="./optimal_level_sample_mpi.out" qsub_mpi.sh
