
global home : env HOME
if "$home"=="" {
	global home : env HOMEPATH
}

/* number of education groups */
global numed 3

/* number of home production categories */
global numhome 3

/* age band */
global minage 25
global maxage 45

global minage_hard = $minage - 5
global maxage_hard = $maxage + 5

/* year range */
global minyear_ipums 2006
global maxyear_ipums 2006
global minyear_atus  2002
global maxyear_atus  2007

/* data path */
global atus_data  "$home/git/familytax/stata/raw"
global ipums_data "$home/git/familytax/stata/raw"
global save_data "$home/git/familytax/stata/dta"
global price_data "$home/git/familytax/input/prices"
global log_files "$home/git/familytax/stata/log"
global save_estimation "$home/git/familytax"
global mom_file "$save_estimation/input/moments"
global input_file "$save_estimation/input"

/* target prices */
global priceyyyy = 2006

/* discretize hours */
global time_max 112 // total hours available
global time_alloc 3 // number of activities
global time_fine 2  // fineness of the grid
global time_n = $time_alloc * ($time_fine + 1) + 1

/* if bothage is 1, then both adults in a couple must belong to the specified */
/* age band. otherwise, the sample comprises of all single adults in the band */
/* and all individuals in couples where the reference person (householder)    */
/* is in the band                                                             */
global bothage 0

/* if whiteonly is 1, then all individuals must be white */
global whiteonly 0

/* bootstrap repetitions */
global bsrep 200

global market cbo_division
global nummarket 9
global cell_reweight 1

/* if stateonly is 1, then the sample is restricted to the most populus state */
/* within a census division */
global stateonly 0
if $stateonly > 0 {
	global statetag "_state"
}
else {
	global statetag ""
}
