cap drop cbo_division
cap drop cbo_region
cap label drop cbo_division_lbl
cap label drop cbo_region_lbl

qui gen byte cbo_division = .

// Division 1: New England (Connecticut 7, Maine 20, Massachusetts 22, New Hampshire 30, Rhode Island 40, and Vermont 46)
qui replace cbo_division = 1 if inlist(state, 7, 20, 22, 30, 40, 46)

// Division 2: Mid-Atlantic (New Jersey 31, New York 33, and Pennsylvania 39)
qui replace cbo_division = 2 if inlist(state, 31, 33, 39)

// Division 3: East North Central (Illinois 14, Indiana 15, Michigan 23, Ohio 36, and Wisconsin 50)
qui replace cbo_division = 3 if inlist(state, 14, 15, 23, 36, 50)

// Division 4: West North Central (Iowa 16, Kansas 17, Minnesota 24, Missouri 26, Nebraska 28, North Dakota 35, and South Dakota 42)
qui replace cbo_division = 4 if inlist(state, 16, 17, 24, 26, 28, 35, 42)

// Division 5: South Atlantic (Delaware 8, Florida 10, Georgia 11, Maryland 21, North Carolina 34, South Carolina 41, Virginia 47, Washington D.C. 9, and West Virginia 49)
qui replace cbo_division = 5 if inlist(state, 8, 10, 11, 21, 34, 41, 47, 9, 49)

// Division 6: East South Central (Alabama 1, Kentucky 18, Mississippi 25, and Tennessee 43)
qui replace cbo_division = 6 if inlist(state, 1, 18, 25, 43)

// Division 7: West South Central (Arkansas 4, Louisiana 19, Oklahoma 37, and Texas 44)
qui replace cbo_division = 7 if inlist(state, 4, 19, 37, 44)

// Division 8: Mountain (Arizona 3, Colorado 6, Idaho 13, Montana 27, Nevada 29, New Mexico 32, Utah 45, and Wyoming 51)
qui replace cbo_division = 8 if inlist(state, 3, 6, 13, 27, 29, 32, 45, 51)

// Division 9: Pacific (Alaska 2, California 5, Hawaii 12, Oregon 38, and Washington 48)
qui replace cbo_division = 9 if inlist(state, 2, 5, 12, 38, 48)

assert cbo_division ~=.

gen byte cbo_region = 1 if cbo_division==1 | cbo_division==2
replace cbo_region  = 2 if cbo_division==3 | cbo_division==4
replace cbo_region  = 3 if cbo_division==5 | cbo_division==6 | cbo_division==7
replace cbo_region  = 4 if cbo_division==8 | cbo_division==9
assert cbo_region~=.

label define cbo_region_lbl 01 "Northeast"
label define cbo_region_lbl 02 "Midwest", add
label define cbo_region_lbl 03 "South", add
label define cbo_region_lbl 04 "West", add

label define cbo_division_lbl 01 "New England (Connecticut, Maine, Massachusetts, New Hampshire, Rhode Island, and Vermont)"
label define cbo_division_lbl 02 "Mid-Atlantic (New Jersey, New York, and Pennsylvania)", add
label define cbo_division_lbl 03 "East North Central (Illinois, Indiana, Michigan, Ohio, and Wisconsin)", add
label define cbo_division_lbl 04 "West North Central (Iowa, Kansas, Minnesota, Missouri, Nebraska, North Dakota, and South Dakota)", add
label define cbo_division_lbl 05 "South Atlantic (Delaware, Florida, Georgia, Maryland, North Carolina, South Carolina, Virginia, Washington D.C., and West Virginia)", add
label define cbo_division_lbl 06 "East South Central (Alabama, Kentucky, Mississippi, and Tennessee)", add
label define cbo_division_lbl 07 "West South Central (Arkansas, Louisiana, Oklahoma, and Texas)", add
label define cbo_division_lbl 08 "Mountain (Arizona, Colorado, Idaho, Montana, Nevada, New Mexico, Utah, and Wyoming)", add
label define cbo_division_lbl 09 "Pacific (Alaska, California, Hawaii, Oregon, and Washington)", add

label values cbo_division cbo_division_lbl
label values cbo_region cbo_region_lbl
