use "/home/asheph/git/familytax/stata/dta/acs_intermediate_ed3_age2545.dta", clear

gen byte mstat = .

replace mstat = 1 if married == 0 & kids == 0
replace mstat = 2 if married == 1
replace mstat = 3 if married == 0 & kids == 1

gen byte depx = nkids
gen int agex = 0

gen double pwages = incwage
gen double swages = incwage_sp

gen byte depchild = nkids

keep year state mstat depx agex pwages swages depchild

taxsim9, replace

gen double mtr = (frate + srate + ficar) / 100
gen double mtr2 = (frate + srate) / 100

save "/tmp/mtr.dta", replace

drop if pwages == 0
keep if pwages <= 250000
keep if swages <= 250000

gen byte sband = 0
replace sband = 1 if mstat == 2 & swages <= 25000
replace sband = 2 if mstat == 2 & swages > 25000 & swages <= 85000
replace sband = 3 if mstat == 2 & swages > 85000 & swages < 250000

gen byte band = .
replace band = 1 if pwages < 12500
replace band = 2 if pwages >= 12500 & pwages < 25000
replace band = 3 if pwages >= 25000 & pwages < 37500
replace band = 4 if pwages >= 37500 & pwages < 60000
replace band = 5 if pwages >= 60000 & pwages < 85000
replace band = 6 if pwages >= 85000 & pwages < 110000
replace band = 7 if pwages >= 110000 & pwages < 150000
replace band = 8 if pwages >= 150000 & pwages < 190000
replace band = 9 if pwages >= 190000 & pwages < .

collapse mtr mtr2, by(band sband)

export delimited using "~/git/familytax/output/empirical_mtr.csv",  delimiter(",") replace

