program welfareinput

    use test3kid
    use globaldef
    use environment
    use taxes
    use mathfn

    implicit none

    real(dp), parameter :: minearn = 0.0_dp
    real(dp), parameter :: maxearn = 100000.0_dp
    integer,  parameter :: marketid(0:NMARKET) = (/0, 22, 33, 14, 26, 10, 43, 44, 3, 5/)
    integer :: ixM, nstr
    integer :: thisMarket
    type(tax_t) :: tax

    real(dp), dimension(MAXKINKS) :: kinks_earn, kinks_net, kinks_mtr
    logical, dimension(MAXKINKS) :: kinks_dis
    integer :: kinks_num
    integer :: sex

    logical :: verbose
    character(len = :), allocatable :: fname1, fname2
    character(len = 8192) :: cmd2

    verbose = .false.
    sex = 1 ! dummy

    do ixM = 1, NMARKET

        thisMarket = marketid(ixM)

        print *, 'market',ixM

        call readTaxes( 'taxes/output', thisMarket, verbose, tax )
        call readFoodStamps( 'taxes/output/fsp.dat', verbose, tax )
        call readWelfare( 'taxes/output', thisMarket, verbose, tax )

        ! single no kids
        call kinks( tax, .false., 0, sex, minearn, maxearn, &
                    kinks_earn, kinks_net, kinks_mtr, kinks_dis, kinks_num )

        kinks_earn(1:kinks_num) = kinks_earn(1:kinks_num) * 52.0_dp
        kinks_net(1:kinks_num) = kinks_net(1:kinks_num) * 52.0_dp

        fname1 = 'taxes/output/tax_sin_' // intToStr(thisMarket) // '.dat'
        fname2 = 'taxes/output/taxw_sin_' // intToStr(thisMarket) // '.dat'

        cmd2 = "cp '" // trim(adjustl(fname1)) // "' '" // trim(adjustl(fname2)) // "'"
        nstr = len(cmd2)
        call execute_command_line(cmd2(1:nstr), wait = .true.)
        cmd2 = "sed -i '/TAX_BANDS/c\TAX_BANDS " // vecToStr(kinks_earn(1:kinks_num)) // "' " // trim(adjustl(fname2))
        nstr = len(cmd2)
        call execute_command_line(cmd2(1:nstr), wait = .true.)
        cmd2 = "sed -i '/TAX_RATES/c\TAX_RATES " // vecToStr(kinks_mtr(1:kinks_num)) // "' " // trim(adjustl(fname2))
        nstr = len(cmd2)
        call execute_command_line(cmd2(1:nstr), wait = .true.)
        cmd2 = "sed -i '/TAX_LEVEL/c\TAX_LEVEL " // vecToStr(kinks_net(1:kinks_num)) // "' " // trim(adjustl(fname2))
        nstr = len(cmd2)
        call execute_command_line(cmd2(1:nstr), wait = .true.)

        ! single  kids
        call kinks( tax, .false., 1, sex, minearn, maxearn, &
                    kinks_earn, kinks_net, kinks_mtr, kinks_dis, kinks_num )

        kinks_earn = kinks_earn * 52.0_dp
        kinks_net = kinks_net * 52.0_dp

        fname1 = 'taxes/output/tax_sinkid_' // intToStr(thisMarket) // '.dat'
        fname2 = 'taxes/output/taxw_sinkid_' // intToStr(thisMarket) // '.dat'

        cmd2 = "cp '" // trim(adjustl(fname1)) // "' '" // trim(adjustl(fname2)) // "'"
        nstr = len(cmd2)
        call execute_command_line(cmd2(1:nstr), wait = .true.)
        cmd2 = "sed -i '/TAX_BANDS/c\TAX_BANDS " // vecToStr(kinks_earn(1:kinks_num)) // "' " // trim(adjustl(fname2))
        nstr = len(cmd2)
        call execute_command_line(cmd2(1:nstr), wait = .true.)
        cmd2 = "sed -i '/TAX_RATES/c\TAX_RATES " // vecToStr(kinks_mtr(1:kinks_num)) // "' " // trim(adjustl(fname2))
        nstr = len(cmd2)
        call execute_command_line(cmd2(1:nstr), wait = .true.)
        cmd2 = "sed -i '/TAX_LEVEL/c\TAX_LEVEL " // vecToStr(kinks_net(1:kinks_num)) // "' " // trim(adjustl(fname2))
        nstr = len(cmd2)
        call execute_command_line(cmd2(1:nstr), wait = .true.)

        ! couple no kids
        call kinks( tax, .true., 0, sex, minearn, maxearn, &
                    kinks_earn, kinks_net, kinks_mtr, kinks_dis, kinks_num )

        kinks_earn = kinks_earn * 52.0_dp
        kinks_net = kinks_net * 52.0_dp

        fname1 = 'taxes/output/tax_cou_' // intToStr(thisMarket) // '.dat'
        fname2 = 'taxes/output/taxw_cou_' // intToStr(thisMarket) // '.dat'

        cmd2 = "cp '" // trim(adjustl(fname1)) // "' '" // trim(adjustl(fname2)) // "'"
        nstr = len(cmd2)
        call execute_command_line(cmd2(1:nstr), wait = .true.)
        cmd2 = "sed -i '/TAX_BANDS/c\TAX_BANDS " // vecToStr(kinks_earn(1:kinks_num)) // "' " // trim(adjustl(fname2))
        nstr = len(cmd2)
        call execute_command_line(cmd2(1:nstr), wait = .true.)
        cmd2 = "sed -i '/TAX_RATES/c\TAX_RATES " // vecToStr(kinks_mtr(1:kinks_num)) // "' " // trim(adjustl(fname2))
        nstr = len(cmd2)
        call execute_command_line(cmd2(1:nstr), wait = .true.)
        cmd2 = "sed -i '/TAX_LEVEL/c\TAX_LEVEL " // vecToStr(kinks_net(1:kinks_num)) // "' " // trim(adjustl(fname2))
        nstr = len(cmd2)
        call execute_command_line(cmd2(1:nstr), wait = .true.)

        ! couple  kids
        call kinks( tax, .true., 1, sex, minearn, maxearn, &
                    kinks_earn, kinks_net, kinks_mtr, kinks_dis, kinks_num )

        kinks_earn = kinks_earn * 52.0_dp
        kinks_net = kinks_net * 52.0_dp

        fname1 = 'taxes/output/tax_coukid_' // intToStr(thisMarket) // '.dat'
        fname2 = 'taxes/output/taxw_coukid_' // intToStr(thisMarket) // '.dat'

        cmd2 = "cp '" // trim(adjustl(fname1)) // "' '" // trim(adjustl(fname2)) // "'"
        nstr = len(cmd2)
        call execute_command_line(cmd2(1:nstr), wait = .true.)
        cmd2 = "sed -i '/TAX_BANDS/c\TAX_BANDS " // vecToStr(kinks_earn(1:kinks_num)) // "' " // trim(adjustl(fname2))
        nstr = len(cmd2)
        call execute_command_line(cmd2(1:nstr), wait = .true.)
        cmd2 = "sed -i '/TAX_RATES/c\TAX_RATES " // vecToStr(kinks_mtr(1:kinks_num)) // "' " // trim(adjustl(fname2))
        nstr = len(cmd2)
        call execute_command_line(cmd2(1:nstr), wait = .true.)
        cmd2 = "sed -i '/TAX_LEVEL/c\TAX_LEVEL " // vecToStr(kinks_net(1:kinks_num)) // "' " // trim(adjustl(fname2))
        nstr = len(cmd2)
        call execute_command_line(cmd2(1:nstr), wait = .true.)

    end do

end program welfareinput

